Package tigase.db.util

## Class SchemaVersionCheckerLogger.VersionCheckerSchemaInfo

- java.lang.Object
- - tigase.db.util.SchemaVersionCheckerLogger.VersionCheckerSchemaInfo

- All Implemented Interfaces:
    `java.lang.Comparable<SchemaVersionCheckerLogger.VersionCheckerSchemaInfo>`
  Enclosing class:
    SchemaVersionCheckerLogger

      public static class SchemaVersionCheckerLogger.VersionCheckerSchemaInfo
      extends java.lang.Object
      implements java.lang.Comparable<SchemaVersionCheckerLogger.VersionCheckerSchemaInfo>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VersionCheckerSchemaInfo​(java.lang.Class<? extends DataSourceAware> datasourceClass, java.util.Optional<Version> databaseVersion, Version requiredVersion)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `compareTo​(SchemaVersionCheckerLogger.VersionCheckerSchemaInfo that)` |
    `boolean` | `equals​(java.lang.Object o)` |
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### VersionCheckerSchemaInfo

          public VersionCheckerSchemaInfo​(java.lang.Class<? extends DataSourceAware> datasourceClass,
                                          java.util.Optional<Version> databaseVersion,
                                          Version requiredVersion)

  - ### Method Detail

    - #### compareTo

          public int compareTo​(SchemaVersionCheckerLogger.VersionCheckerSchemaInfo that)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<SchemaVersionCheckerLogger.VersionCheckerSchemaInfo>`

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`